Main Page Modules Data Structures File List Data Fields Globals Related Pages

# memchunk Struct Reference

`#include <memchunk.h>`

## Data Fields
int | size
byte * | data

## Field Documentation

byte* memchunk::data

| Definition at line 33 of file memchunk.h. Referenced by b64dec, b64enc, dhaes_pContextDecrypt, dhaes_pContextEncrypt, hashFunctionContextUpdateMC, keyedHashFunctionContextUpdateMC, memchunkAlloc, memchunkClone, memchunkFree, memchunkResize, pkcs5Pad, pkcs5PadCopy, pkcs5Unpad, and pkcs5UnpadCopy.

int memchunk::size

| Definition at line 32 of file memchunk.h. Referenced by b64enc, dhaes_pContextDecrypt, dhaes_pContextEncrypt, hashFunctionContextUpdateMC, keyedHashFunctionContextUpdateMC, memchunkAlloc, memchunkClone, memchunkFree, memchunkResize, pkcs5Pad, pkcs5PadCopy, pkcs5Unpad, and pkcs5UnpadCopy.

The documentation for this struct was generated from the following file:

- beecrypt/memchunk.h